Opened 14 years ago

Closed 14 years ago

Last modified 12 years ago

#49 closed defect (fixed)

JS exceptions breaking virtual identity

Reported by: michael-dev@… Owned by:
Version: 0.4.4 Keywords:
Cc:

Description

I've installed correct identity as well as virtual identity (along with some other addons). I can edit the from field and I see the "virtual id found headers" message while reading my messages. Though I don't get a list to select the correct identity when composing a message. (the yellow line below the from field).

Instead, I see the following JS errors:

Fehler: [Exception... "Component returned failure code: 0x80004002 (NS_NOINTERFACE) [nsISupports.QueryInterface?]" nsresult: "0x80004002 (NS_NOINTERFACE)" location: "JS frame :: chrome://v_identity/content/vI_addressBook.js :: anonymous :: line 162" data: no] Quelldatei: chrome://v_identity/content/vI_addressBook.js Zeile: 162

Fehler: [Exception... "'JavaScript? component does not have a method named: "NotifyComposeBodyReady?"' when calling method: [nsIMsgComposeStateListener::NotifyComposeBodyReady]" nsresult: "0x80570030 (NS_ERROR_XPC_JSOBJECT_HAS_NO_FUNCTION_NAMED)" location: "<unknown>" data: no]

Fehler: sMsgComposeService is not defined Quelldatei: chrome://messenger/content/messengercompose/MsgComposeCommands.js Zeile: 1064

Fehler: [Exception... "'JavaScript? component does not have a method named: "NotifyComposeBodyReady?"' when calling method: [nsIMsgComposeStateListener::NotifyComposeBodyReady]" nsresult: "0x80570030 (NS_ERROR_XPC_JSOBJECT_HAS_NO_FUNCTION_NAMED)" location: "JS frame :: chrome://messenger/content/messengercompose/MsgComposeCommands.js :: InitEditor? :: line 3586" data: no] Quelldatei: chrome://messenger/content/messengercompose/MsgComposeCommands.js Zeile: 3586

Fehler: uncaught exception: [Exception... "Component returned failure code: 0x80004002 (NS_NOINTERFACE) [nsISupports.QueryInterface?]" nsresult: "0x80004002 (NS_NOINTERFACE)" location: "JS frame :: chrome://v_identity/content/vI_addressBook.js :: anonymous :: line 162" data: no]

I'm using thunderbird 2.0.0.12 on Ubuntu Linux.

AZ

Change History (3)

comment:1 Changed 14 years ago by rene

Resolution: fixed
Status: newclosed

Hi,

sorry, version 0.4.4 is outdated since a good while. The upgrade process is broken, cause addons.mozilla.org doesn't publish the newer versions, no idea why. Please download version 0.5.2 and check again. The problem should not occur on 0.5x versions anymore.

Regards and thanks for the report, Rene

comment:2 Changed 12 years ago by anonymous

decoration Changed 1 year ago by admin

bathtub Changed 1 year ago by admin

solar system Changed 1 year ago by admin

stair parts Changed 1 year ago by admin

solar supply Changed 1 year ago by admin

comment:3 Changed 12 years ago by anonymous

Note: See TracTickets for help on using tickets.